Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class RDFSyntax

    java.lang.Object
      com.hp.hpl.jena.vocabulary.RDFSyntax

    public class RDFSyntax

extends java.lang.Object

This class includes fragment IDs from the RDF Syntax WD, to identify grammar rules etc. using in the Jena I/O routines. These URIs can be used in some options (specifically the configuration of the RDF/XML-ABBREV writer) to indicate behaviour concerning these rules.

Author:
  jjc

Field Summary
`static Resource` | `aboutAttr`
`static Resource` | `bagIdAttr`
`static Resource` | `coreSyntaxTerms`
`static Resource` | `datatypeAttr`
`static Resource` | `doc`
`static Resource` | `emptyPropertyElt`
`static Resource` | `idAttr`
`static Resource` | `literal`
`static Resource` | `literalPropertyElt`
`static Resource` | `nodeElement`
`static Resource` | `nodeElementList`
`static Resource` | `nodeElementURIs`
`static Resource` | `nodeIdAttr`
`static Resource` | `oldTerms`
`static Resource` | `parseCollection`
`static Resource` | `parseLiteral`
`static Resource` | `parseOther`
`static Resource` | `parseResource`
`static Resource` | `parseTypeCollectionPropertyElt`
`static Resource` | `parseTypeLiteralPropertyElt`
`static Resource` | `parseTypeOtherPropertyElt`
`static Resource` | `parseTypeResourcePropertyElt`
`static Resource` | `propertyAttr`
`static Resource` | `propertyAttributeURIs`
`static Resource` | `propertyElementURIs`
`static Resource` | `propertyElt`
`static Resource` | `propertyEltList`
`static Resource` | `RDF`
`static Resource` | `rdfId`
`static Resource` | `resourceAttr`
`static Resource` | `resourcePropertyElt`
`static Resource` | `sectionListExpand`
`static Resource` | `sectionReification`
`static Resource` | `syntaxTerms`
`static Resource` | `URIReference`
`static Resource` | `ws`

Constructor Summary
`RDFSyntax()`

Method Summary
`static java.lang.String` | `getURI()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coreSyntaxTerms

    public static final Resource coreSyntaxTerms

### syntaxTerms

    public static final Resource syntaxTerms

### oldTerms

    public static final Resource oldTerms

### nodeElementURIs

    public static final Resource nodeElementURIs

### propertyElementURIs

    public static final Resource propertyElementURIs

### propertyAttributeURIs

    public static final Resource propertyAttributeURIs

### doc

    public static final Resource doc

### RDF

    public static final Resource RDF

### nodeElementList

    public static final Resource nodeElementList

### nodeElement

    public static final Resource nodeElement

### ws

    public static final Resource ws

### propertyEltList

    public static final Resource propertyEltList

### propertyElt

    public static final Resource propertyElt

### resourcePropertyElt

    public static final Resource resourcePropertyElt

### literalPropertyElt

    public static final Resource literalPropertyElt

### parseTypeLiteralPropertyElt

    public static final Resource parseTypeLiteralPropertyElt

### parseTypeResourcePropertyElt

    public static final Resource parseTypeResourcePropertyElt

### parseTypeCollectionPropertyElt

    public static final Resource parseTypeCollectionPropertyElt

### parseTypeOtherPropertyElt

    public static final Resource parseTypeOtherPropertyElt

### emptyPropertyElt

    public static final Resource emptyPropertyElt

### idAttr

    public static final Resource idAttr

### nodeIdAttr

    public static final Resource nodeIdAttr

### aboutAttr

    public static final Resource aboutAttr

### bagIdAttr

    public static final Resource bagIdAttr

### propertyAttr

    public static final Resource propertyAttr

### resourceAttr

    public static final Resource resourceAttr

### datatypeAttr

    public static final Resource datatypeAttr

### parseLiteral

    public static final Resource parseLiteral

### parseResource

    public static final Resource parseResource

### parseCollection

    public static final Resource parseCollection

### parseOther

    public static final Resource parseOther

### URIReference

    public static final Resource URIReference

### literal

    public static final Resource literal

### rdfId

    public static final Resource rdfId

### sectionReification

    public static final Resource sectionReification

### sectionListExpand

    public static final Resource sectionListExpand

Constructor Detail

### RDFSyntax

    public RDFSyntax()

Method Detail

### getURI

    public static java.lang.String getURI()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP